memconf(1m)

NAME
memconf - Display information about installed memory

SYNOPSIS
memconf [ -h ] [ -D ] [ -v ] [ explorer_dir ]

DESCRIPTION
memconf is a Perl script that displays information about the memory installed on a Solaris, Linux, FreeBSD or HP-UX workstation or server. It reports the size of each SIMM/DIMM memory module installed in a system, including which motherboard memory slot each is in. And it also reports the system type and any empty memory sockets. It works for most SPARC systems running SunOS 4.1.X or Solaris 2.X, Solaris 10 6/06 or later on x86 with /usr/platform/i86pc/sbin/prtdiag, Linux on SPARC with sparc-utils and /dev/openprom, Linux on x86 and x86_64 with kernel-utils or pmtools for dmidecode, FreeBSD on x86 and x86_64 with dmidecode, and most HP-UX systems with SysMgmtPlus (cprop) or Support Tools Manager (cstm).

OPTIONS

-h  Display a small help message.

-D  Send results to memconf maintainer. This will E-mail the output of "memconf -d", "prtconf -vp" or "devinfo -pv", and if available, the output of "prtdiag -v", "prtfru -x", "prtpicl -v", "psrinfo -v", "psrinfo -p -v" and "cfgadm -al" to tschmidt@micron.com

-v  Be verbose. In this mode memconf also reports: banner name, model, and CPU/system frequencies, as well as the address range and bank numbers for each memory module.

explorer_dir
    Uses Sun Explorer output directory for input. You can download Sun Explorer from http://sunsolve.Sun.COM/diag/explorer/SUNWexplo.tar.Z In this case, memconf can be run on Sun Explorer data on any platform with Perl installed, including Solaris x86, Linux and Windows.

WEBSITE
http://www.4schmidts.com/unix.html

BUGS
Please send bug reports and enhancement requests along with the output of the following commands to tschmidt@micron.com as E-mail attachments so that memconf can be enhanced. Please include the Sun Model and Operating System version.

SunOS 4.1.X
    /usr/etc/devinfo -pv
Solaris 2.X
    /usr/sbin/prtconf -vp
    /usr/platform/`uname -m`/sbin/prtdiag -v (if available)
    /usr/sbin/prtfru -x (if available)
    /usr/sbin/prtpicl -v (if available)
    /usr/sbin/psrinfo -v (if available)
    /usr/sbin/psrinfo -p -v (if available)
    /usr/sbin/cfgadm -al (if available)
Linux
    /usr/sbin/dmidecode

You can do this using the 'memconf -D' command. If an unrecognized system is a Sun clone, please also send any hardware documentation on the memory layout that you may have.

AUTHORS
Tom Schmidt (tschmidt@micron.com)
Original version based on SunManagers SUMMARY by Howard Modell (h.modell@ieee.org)

SEE ALSO
devinfo(8s), prtconf(1m), prtdiag(1m), prtfru(1m), prtpicl(1m), psrinfo(1m), cfgadm(1m), perl(1), sysinfo(1), dmidecode(8)